# Class yii\db\conditions\BetweenColumnsConditionBuilder

Inheritance | yii\db\conditions\BetweenColumnsConditionBuilder
Implements | yii\db\ExpressionBuilderInterface
Uses Traits | yii\db\ExpressionBuilderTrait
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/conditions/BetweenColumnsConditionBuilder.php

Class BetweenColumnsConditionBuilder builds objects of yii\db\conditions\BetweenColumnsCondition

## Protected Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$queryBuilder | yii\db\QueryBuilder |  | yii\db\ExpressionBuilderTrait

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
__construct() | ExpressionBuilderTrait constructor. | yii\db\ExpressionBuilderTrait
build() | Method builds the raw SQL from the $expression that will not be additionally escaped or quoted. | yii\db\conditions\BetweenColumnsConditionBuilder

## Protected Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
createPlaceholder() | Attaches $value to $params array and returns placeholder. | yii\db\conditions\BetweenColumnsConditionBuilder
escapeColumnName() | Prepares column name to be used in SQL statement. | yii\db\conditions\BetweenColumnsConditionBuilder

## Method Details

build() public method

Method builds the raw SQL from the $expression that will not be additionally escaped or quoted.

public string build ( yii\db\ExpressionInterface $expression, array &$params = [] )
$expression | yii\db\ExpressionInterface|yii\db\conditions\BetweenColumnsCondition | The expression to be built.
$params | array | The binding parameters.
return | string | The raw SQL that will not be additionally escaped or quoted.

createPlaceholder() protected method

Attaches $value to $params array and returns placeholder.

protected string createPlaceholder ( $value, &$params )
$value | mixed |
$params | array | Passed by reference

escapeColumnName() protected method

Prepares column name to be used in SQL statement.

protected string escapeColumnName ( $columnName, &$params = [] )
$columnName | yii\db\Query|yii\db\ExpressionInterface|string |
$params | array | The binding parameters.